WP6Listener Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP6Listener Class Referenceabstract

`#include <WP6Listener.h>`

Inheritance diagram for WP6Listener:

## Public Member Functions
| WP6Listener ()
virtual | ~WP6Listener ()
virtual void | startDocument ()=0
virtual void | startSubDocument ()=0
virtual void | setDate (const unsigned short type, const unsigned short year, const unsigned char month, const unsigned char day, const unsigned char hour, const unsigned char minute, const unsigned char second, const unsigned char dayOfWeek, const unsigned char timeZone, const unsigned char unused)=0
virtual void | setExtendedInformation (const unsigned short type, const librevenge::RVNGString &data)=0
virtual void | setAlignmentCharacter (const unsigned character)=0
virtual void | setLeaderCharacter (const unsigned character, const unsigned char numSpaces)=0
virtual void | defineTabStops (const bool isRelative, const std::vector< WPXTabStop > &tabStops, const std::vector< bool > &usePreWP9LeaderMethods)=0
virtual void | insertCharacter (unsigned character)=0
virtual void | insertTab (const unsigned char tabType, double tabPosition)=0
virtual void | handleLineBreak ()=0
virtual void | insertEOL ()=0
virtual void | insertBreak (const unsigned char breakType)=0
virtual void | lineSpacingChange (const double lineSpacing)=0
virtual void | justificationChange (const unsigned char justification)=0
virtual void | characterColorChange (const unsigned char red, const unsigned char green, const unsigned char blue)=0
virtual void | characterShadingChange (const unsigned char shading)=0
virtual void | highlightChange (const bool isOn, const RGBSColor &color)=0
virtual void | fontChange (const unsigned short matchedFontPointSize, const unsigned short fontPID, const librevenge::RVNGString &fontName)=0
virtual void | attributeChange (const bool isOn, const unsigned char attribute)=0
virtual void | spacingAfterParagraphChange (const double spacingRelative, const double spacingAbsolute)=0
virtual void | pageMarginChange (const unsigned char side, const unsigned short margin)=0
virtual void | pageFormChange (const unsigned short length, const unsigned short width, const WPXFormOrientation orientation)=0
virtual void | pageNumberingChange (const WPXPageNumberPosition pageNumberPosition, const unsigned short pageNumberFontPointSize, const unsigned short pageNumberFontPID)=0
virtual void | marginChange (const unsigned char side, const unsigned short margin)=0
virtual void | paragraphMarginChange (const unsigned char side, const signed short margin)=0
virtual void | indentFirstLineChange (const signed short offset)=0
virtual void | columnChange (const WPXTextColumnType columnType, const unsigned char numColumns, const std::vector< double > &columnWidth, const std::vector< bool > &isFixedWidth)=0
virtual void | updateOutlineDefinition (const unsigned short outlineHash, const unsigned char *numberingMethods, const unsigned char tabBehaviourFlag)=0
virtual void | paragraphNumberOn (const unsigned short outlineHash, const unsigned char level, const unsigned char flag)=0
virtual void | paragraphNumberOff ()=0
virtual void | displayNumberReferenceGroupOn (const unsigned char subGroup, const unsigned char level)=0
virtual void | displayNumberReferenceGroupOff (const unsigned char subGroup)=0
virtual void | styleGroupOn (const unsigned char subGroup)=0
virtual void | styleGroupOff (const unsigned char subGroup)=0
virtual void | globalOn (const unsigned char systemStyle)=0
virtual void | globalOff ()=0
virtual void | noteOn (const unsigned short textPID)=0
virtual void | noteOff (const WPXNoteType noteType)=0
virtual void | headerFooterGroup (const unsigned char headerFooterType, const unsigned char occurrenceBits, const unsigned short textPID)=0
virtual void | suppressPageCharacteristics (const unsigned char suppressCode)=0
virtual void | setPageNumber (const unsigned short pageNumber)=0
virtual void | setPageNumberingType (const WPXNumberingType pageNumberingType)=0
virtual void | endDocument ()=0
virtual void | endSubDocument ()=0
virtual void | defineTable (const unsigned char position, const unsigned short leftOffset)=0
virtual void | addTableColumnDefinition (const unsigned width, const unsigned leftGutter, const unsigned rightGutter, const unsigned attributes, const unsigned char alignment)=0
virtual void | startTable ()=0
virtual void | insertRow (const unsigned short rowHeight, const bool isMinimumHeight, const bool isHeaderRow)=0
virtual void | insertCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment, const bool useCellAttributes, const unsigned cellAttributes)=0
virtual void | endTable ()=0
virtual void | undoChange (const unsigned char undoType, const unsigned short undoLevel)=0
virtual void | boxOn (const unsigned char anchoringType, const unsigned char generalPositioningFlags, const unsigned char horizontalPositioningFlags, const signed short horizontalOffset, const unsigned char leftColumn, const unsigned char rightColumn, const unsigned char verticalPositioningFlags, const signed short verticalOffset, const unsigned char widthFlags, const unsigned short width, const unsigned char heightFlags, const unsigned short height, const unsigned char boxContentType, const unsigned short nativeWidth, const unsigned short nativeHeight, const librevenge::RVNGString &linkTarget)=0
virtual void | boxOff ()=0
virtual void | insertGraphicsData (const unsigned short packetId)=0
virtual void | insertTextBox (const WP6SubDocument *subDocument)=0
virtual void | commentAnnotation (const unsigned short textPID)=0
void | setPrefixData (WP6PrefixData *prefixData)
const WP6PrefixDataPacket * | getPrefixDataPacket (const int prefixID) const
librevenge::RVNGString | getFontNameForPID (const int prefixID) const

## Private Member Functions
| WP6Listener (const WP6Listener &)
WP6Listener & | operator= (const WP6Listener &)

## Private Attributes
WP6PrefixData * | m_prefixData

## Constructor & Destructor Documentation

## ◆ WP6Listener() [1/2]

WP6Listener::WP6Listener | ( |  | ) |

Referenced by setPrefixData().

## ◆ ~WP6Listener()

virtual WP6Listener::~WP6Listener | ( |  | ) |
| inlinevirtual

## ◆ WP6Listener() [2/2]

WP6Listener::WP6Listener | ( | const WP6Listener & |  | ) |
| private

## Member Function Documentation

## ◆ addTableColumnDefinition()

virtual void WP6Listener::addTableColumnDefinition | ( | const unsigned | width,
|  | const unsigned | leftGutter,
|  | const unsigned | rightGutter,
|  | const unsigned | attributes,
|  | const unsigned char | alignment
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6CharacterGroup_TableColumnSubGroup::parse(), and ~WP6Listener().

## ◆ attributeChange()

virtual void WP6Listener::attributeChange | ( | const bool | isOn,
|  | const unsigned char | attribute
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6AttributeOnGroup::parse(), WP6AttributeOffGroup::parse(), and ~WP6Listener().

## ◆ boxOff()

virtual void WP6Listener::boxOff | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6BoxGroup::parse(), and ~WP6Listener().

## ◆ boxOn()

virtual void WP6Listener::boxOn | ( | const unsigned char | anchoringType,
|  | const unsigned char | generalPositioningFlags,
|  | const unsigned char | horizontalPositioningFlags,
|  | const signed short | horizontalOffset,
|  | const unsigned char | leftColumn,
|  | const unsigned char | rightColumn,
|  | const unsigned char | verticalPositioningFlags,
|  | const signed short | verticalOffset,
|  | const unsigned char | widthFlags,
|  | const unsigned short | width,
|  | const unsigned char | heightFlags,
|  | const unsigned short | height,
|  | const unsigned char | boxContentType,
|  | const unsigned short | nativeWidth,
|  | const unsigned short | nativeHeight,
|  | const librevenge::RVNGString & | linkTarget
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6BoxGroup::parse(), and ~WP6Listener().

## ◆ characterColorChange()

virtual void WP6Listener::characterColorChange | ( | const unsigned char | red,
|  | const unsigned char | green,
|  | const unsigned char | blue
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6CharacterGroup_ColorSubGroup::parse(), and ~WP6Listener().

## ◆ characterShadingChange()

virtual void WP6Listener::characterShadingChange | ( | const unsigned char | shading | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6CharacterGroup_CharacterShadingChangeSubGroup::parse(), and ~WP6Listener().

## ◆ columnChange()

virtual void WP6Listener::columnChange | ( | const WPXTextColumnType | columnType,
|  | const unsigned char | numColumns,
|  | const std::vector< double > & | columnWidth,
|  | const std::vector< bool > & | isFixedWidth
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6ColumnGroup::parse(), and ~WP6Listener().

## ◆ commentAnnotation()

virtual void WP6Listener::commentAnnotation | ( | const unsigned short | textPID | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6CharacterGroup_CommentSubGroup::parse(), and ~WP6Listener().

## ◆ defineTable()

virtual void WP6Listener::defineTable | ( | const unsigned char | position,
|  | const unsigned short | leftOffset
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6CharacterGroup_TableDefinitionOnSubGroup::parse(), and ~WP6Listener().

## ◆ defineTabStops()

virtual void WP6Listener::defineTabStops | ( | const bool | isRelative,
|  | const std::vector< WPXTabStop > & | tabStops,
|  | const std::vector< bool > & | usePreWP9LeaderMethods
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6ParagraphGroup_TabSetSubGroup::parse(), and ~WP6Listener().

## ◆ displayNumberReferenceGroupOff()

virtual void WP6Listener::displayNumberReferenceGroupOff | ( | const unsigned char | subGroup | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6DisplayNumberReferenceGroup::parse(), and ~WP6Listener().

## ◆ displayNumberReferenceGroupOn()

virtual void WP6Listener::displayNumberReferenceGroupOn | ( | const unsigned char | subGroup,
|  | const unsigned char | level
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6DisplayNumberReferenceGroup::parse(), and ~WP6Listener().

## ◆ endDocument()

virtual void WP6Listener::endDocument | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6Parser::parse(), and ~WP6Listener().

## ◆ endSubDocument()

virtual void WP6Listener::endSubDocument | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by ~WP6Listener().

## ◆ endTable()

virtual void WP6Listener::endTable | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6EOLGroup::parse(), WP6TableOffFunction::parse(), WP6TableOffAtSoftEOPFunction::parse(), and ~WP6Listener().

## ◆ fontChange()

virtual void WP6Listener::fontChange | ( | const unsigned short | matchedFontPointSize,
|  | const unsigned short | fontPID,
|  | const librevenge::RVNGString & | fontName
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6DefaultInitialFontPacket::parse(), WP6CharacterGroup_FontFaceChangeSubGroup::parse(), WP6CharacterGroup_FontSizeChangeSubGroup::parse(), and ~WP6Listener().

## ◆ getFontNameForPID()

librevenge::RVNGString WP6Listener::getFontNameForPID | ( | const int | prefixID | ) | const

Referenced by WP6ContentListener::fontChange(), WP6StylesListener::pageNumberingChange(), and setPrefixData().

## ◆ getPrefixDataPacket()

const WP6PrefixDataPacket * WP6Listener::getPrefixDataPacket | ( | const int | prefixID | ) | const

Referenced by WP6StylesListener::commentAnnotation(), WP6ContentListener::commentAnnotation(), getFontNameForPID(), WP6StylesListener::headerFooterGroup(), WP6ContentListener::insertGraphicsData(), WP6ContentListener::noteOff(), WP6StylesListener::noteOn(), WP6BoxGroup::parse(), WP6EOLGroup::parse(), WP6CharacterGroup_CommentSubGroup::parse(), and setPrefixData().

## ◆ globalOff()

virtual void WP6Listener::globalOff | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6StyleGroup::parse(), and ~WP6Listener().

## ◆ globalOn()

virtual void WP6Listener::globalOn | ( | const unsigned char | systemStyle | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6StyleGroup_GlobalOnSubGroup::parse(), and ~WP6Listener().

## ◆ handleLineBreak()

virtual void WP6Listener::handleLineBreak | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6EOLGroup::parse(), and ~WP6Listener().

## ◆ headerFooterGroup()

virtual void WP6Listener::headerFooterGroup | ( | const unsigned char | headerFooterType,
|  | const unsigned char | occurrenceBits,
|  | const unsigned short | textPID
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6HeaderFooterGroup::parse(), and ~WP6Listener().

## ◆ highlightChange()

virtual void WP6Listener::highlightChange | ( | const bool | isOn,
|  | const RGBSColor & | color
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6HighlightOnGroup::parse(), WP6HighlightOffGroup::parse(), and ~WP6Listener().

## ◆ indentFirstLineChange()

virtual void WP6Listener::indentFirstLineChange | ( | const signed short | offset | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6ParagraphGroup_IndentFirstLineSubGroup::parse(), and ~WP6Listener().

## ◆ insertBreak()

virtual void WP6Listener::insertBreak | ( | const unsigned char | breakType | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6EOLGroup::parse(), WP6EOCFunction::parse(), WP6EOPFunction::parse(), WP6SoftEOPFunction::parse(), WP6TableOffAtSoftEOPFunction::parse(), WP6TableRowAtSoftEOPFunction::parse(), WP6TableRowAtEOPFunction::parse(), WP6TableRowAtEOCFunction::parse(), and ~WP6Listener().

## ◆ insertCell()

virtual void WP6Listener::insertCell | ( | const unsigned char | colSpan,
|  | const unsigned char | rowSpan,
|  | const unsigned char | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | const WPXVerticalAlignment | cellVerticalAlignment,
|  | const bool | useCellAttributes,
|  | const unsigned | cellAttributes
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6EOLGroup::parse(), WP6TableCellFunction::parse(), WP6TableRowFunction::parse(), WP6TableRowAtSoftEOPFunction::parse(), WP6TableRowAtEOPFunction::parse(), WP6TableRowAtEOCFunction::parse(), and ~WP6Listener().

## ◆ insertCharacter()

virtual void WP6Listener::insertCharacter | ( | unsigned | character | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6ExtendedCharacterGroup::parse(), WP6EOLGroup::parse(), WP6SpaceFunction::parse(), WP6HardSpaceFunction::parse(), WP6SoftHyphenFunction::parse(), WP6HyphenFunction::parse(), WP6Parser::parseDocument(), and ~WP6Listener().

## ◆ insertEOL()

virtual void WP6Listener::insertEOL | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6EOLGroup::parse(), WP6EOLFunction::parse(), and ~WP6Listener().

## ◆ insertGraphicsData()

virtual void WP6Listener::insertGraphicsData | ( | const unsigned short | packetId | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6BoxGroup::parse(), and ~WP6Listener().

## ◆ insertRow()

virtual void WP6Listener::insertRow | ( | const unsigned short | rowHeight,
|  | const bool | isMinimumHeight,
|  | const bool | isHeaderRow
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6EOLGroup::parse(), WP6TableRowFunction::parse(), WP6TableRowAtSoftEOPFunction::parse(), WP6TableRowAtEOPFunction::parse(), WP6TableRowAtEOCFunction::parse(), and ~WP6Listener().

## ◆ insertTab()

virtual void WP6Listener::insertTab | ( | const unsigned char | tabType,
|  | double | tabPosition
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6TabGroup::parse(), and ~WP6Listener().

## ◆ insertTextBox()

virtual void WP6Listener::insertTextBox | ( | const WP6SubDocument * | subDocument | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6BoxGroup::parse(), and ~WP6Listener().

## ◆ justificationChange()

virtual void WP6Listener::justificationChange | ( | const unsigned char | justification | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6EOLGroup::parse(), WP6ParagraphGroup_JustificationModeSubGroup::parse(), and ~WP6Listener().

## ◆ lineSpacingChange()

virtual void WP6Listener::lineSpacingChange | ( | const double | lineSpacing | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6ParagraphGroup_LineSpacingSubGroup::parse(), and ~WP6Listener().

## ◆ marginChange()

virtual void WP6Listener::marginChange | ( | const unsigned char | side,
|  | const unsigned short | margin
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6ColumnGroup::parse(), and ~WP6Listener().

## ◆ noteOff()

virtual void WP6Listener::noteOff | ( | const WPXNoteType | noteType | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6FootnoteEndnoteGroup::parse(), and ~WP6Listener().

## ◆ noteOn()

virtual void WP6Listener::noteOn | ( | const unsigned short | textPID | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6FootnoteEndnoteGroup::parse(), and ~WP6Listener().

## ◆ operator=()

WP6Listener& WP6Listener::operator= | ( | const WP6Listener & |  | ) |
| private

Referenced by setPrefixData().

## ◆ pageFormChange()

virtual void WP6Listener::pageFormChange | ( | const unsigned short | length,
|  | const unsigned short | width,
|  | const WPXFormOrientation | orientation
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6PageGroup::parse(), and ~WP6Listener().

## ◆ pageMarginChange()

virtual void WP6Listener::pageMarginChange | ( | const unsigned char | side,
|  | const unsigned short | margin
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6PageGroup::parse(), and ~WP6Listener().

## ◆ pageNumberingChange()

virtual void WP6Listener::pageNumberingChange | ( | const WPXPageNumberPosition | pageNumberPosition,
|  | const unsigned short | pageNumberFontPointSize,
|  | const unsigned short | pageNumberFontPID
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6PageGroup::parse(), and ~WP6Listener().

## ◆ paragraphMarginChange()

virtual void WP6Listener::paragraphMarginChange | ( | const unsigned char | side,
|  | const signed short | margin
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6ParagraphGroup_LeftMarginAdjustmentSubGroup::parse(), WP6ParagraphGroup_RightMarginAdjustmentSubGroup::parse(), and ~WP6Listener().

## ◆ paragraphNumberOff()

virtual void WP6Listener::paragraphNumberOff | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6CharacterGroup::parse(), and ~WP6Listener().

## ◆ paragraphNumberOn()

virtual void WP6Listener::paragraphNumberOn | ( | const unsigned short | outlineHash,
|  | const unsigned char | level,
|  | const unsigned char | flag
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6CharacterGroup_ParagraphNumberOnSubGroup::parse(), and ~WP6Listener().

## ◆ setAlignmentCharacter()

virtual void WP6Listener::setAlignmentCharacter | ( | const unsigned | character | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6CharacterGroup_SetAlignmentCharacterSubGroup::parse(), and ~WP6Listener().

## ◆ setDate()

virtual void WP6Listener::setDate | ( | const unsigned short | type,
|  | const unsigned short | year,
|  | const unsigned char | month,
|  | const unsigned char | day,
|  | const unsigned char | hour,
|  | const unsigned char | minute,
|  | const unsigned char | second,
|  | const unsigned char | dayOfWeek,
|  | const unsigned char | timeZone,
|  | const unsigned char | unused
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6ExtendedDocumentSummaryPacket::parse(), and ~WP6Listener().

## ◆ setExtendedInformation()

virtual void WP6Listener::setExtendedInformation | ( | const unsigned short | type,
|  | const librevenge::RVNGString & | data
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6ExtendedDocumentSummaryPacket::parse(), and ~WP6Listener().

## ◆ setLeaderCharacter()

virtual void WP6Listener::setLeaderCharacter | ( | const unsigned | character,
|  | const unsigned char | numSpaces
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6CharacterGroup_SetDotLeaderCharactersSubGroup::parse(), and ~WP6Listener().

## ◆ setPageNumber()

virtual void WP6Listener::setPageNumber | ( | const unsigned short | pageNumber | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6SetNumberGroup::parse(), and ~WP6Listener().

## ◆ setPageNumberingType()

virtual void WP6Listener::setPageNumberingType | ( | const WPXNumberingType | pageNumberingType | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6NumberingMethodGroup::parse(), and ~WP6Listener().

## ◆ setPrefixData()

void WP6Listener::setPrefixData | ( | WP6PrefixData * | prefixData | ) |
| inline

Referenced by WP6Parser::parse().

## ◆ spacingAfterParagraphChange()

virtual void WP6Listener::spacingAfterParagraphChange | ( | const double | spacingRelative,
|  | const double | spacingAbsolute
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6ParagraphGroup_SpacingAfterParagraphSubGroup::parse(), and ~WP6Listener().

## ◆ startDocument()

virtual void WP6Listener::startDocument | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6Parser::parse(), and ~WP6Listener().

## ◆ startSubDocument()

virtual void WP6Listener::startSubDocument | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by ~WP6Listener().

## ◆ startTable()

virtual void WP6Listener::startTable | ( |  | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6CharacterGroup_TableDefinitionOffSubGroup::parse(), and ~WP6Listener().

## ◆ styleGroupOff()

virtual void WP6Listener::styleGroupOff | ( | const unsigned char | subGroup | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6StyleGroup::parse(), and ~WP6Listener().

## ◆ styleGroupOn()

virtual void WP6Listener::styleGroupOn | ( | const unsigned char | subGroup | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6StyleGroup::parse(), and ~WP6Listener().

## ◆ suppressPageCharacteristics()

virtual void WP6Listener::suppressPageCharacteristics | ( | const unsigned char | suppressCode | ) |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6PageGroup::parse(), and ~WP6Listener().

## ◆ undoChange()

virtual void WP6Listener::undoChange | ( | const unsigned char | undoType,
|  | const unsigned short | undoLevel
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6UndoGroup::parse(), and ~WP6Listener().

## ◆ updateOutlineDefinition()

virtual void WP6Listener::updateOutlineDefinition | ( | const unsigned short | outlineHash,
|  | const unsigned char * | numberingMethods,
|  | const unsigned char | tabBehaviourFlag
| ) |  |
| pure virtual

Implemented in WP6ContentListener, and WP6StylesListener.

Referenced by WP6OutlineStylePacket::parse(), WP6ParagraphGroup_OutlineDefineSubGroup::parse(), and ~WP6Listener().

## Member Data Documentation

## ◆ m_prefixData

WP6PrefixData* WP6Listener::m_prefixData
| private

Referenced by getPrefixDataPacket(), and setPrefixData().

The documentation for this class was generated from the following files:

- WP6Listener.h
- WP6Listener.cpp